Get the target with the given id
get
https://EM_HOST:8080/em/api/targets/{targetId}
This api returns the target with the given id. It allows to expand the target properties, the groups which include the target and the targets access points.
Request
Path Parameters
-
targetId(required): string
the target id
Query Parameters
-
expand: string
used to request additional detail about the targets. The supported values are properties and accessPoints given as a comma-separated list.Example:
properties,accessPoints
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful Response
Root Schema : Target
Type:
objectDetails of target
Show Source
-
id(required): string
(raw)
ID of the targetExample:
317C6AD6C69832D0ADDA279BEB7B7F32 -
name(required): string
Name of the targetExample:
emdevinfra.oraclevcn.com -
typeDisplayName: string
Display name for the target typeExample:
Host -
typeName(required): string
Type of the targetExample:
host
400 Response
Error while processing the request. See the response message for the reason.
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
401 Response
client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
404 Response
target not found or not authorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
internal error serving the request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
indicates that a required service is not available.
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description